
;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Super Motions |--------------------------------------------------------
[Command]
name = "qcf_ppkk"
command = ~D, DF, F, a+x
time = 15
[Command]
name = "qcf_ppkk"
command = ~D, DF, F, a+y
time = 15
[Command]
name = "qcf_ppkk"
command = ~D, DF, F, b+x
time = 15
[Command]
name = "qcf_ppkk"
command = ~D, DF, F, b+y
time = 15

[Command]
name = "qcb_ppkk"
command = ~D, DB, B, a+x
time = 15
[Command]
name = "qcb_ppkk"
command = ~D, DF, F, a+y
time = 15
[Command]
name = "qcb_ppkk"
command = ~D, DB, B, b+x
time = 15
[Command]
name = "qcb_ppkk"
command = ~D, DB, B, b+y
time = 15

[Command]
name = "fhcf_xy"
command = ~F, $D, B, F, x+y
time = 25
[Command]
name = "bhcb_xy"
command = ~B, $D, F, B, x+y
time = 25

[Command]
name = "fhcf_p"
command = ~F, B, $D, F, x
time = 25
[Command]
name = "fhcf_p"
command = ~F, B, $D, F, y
time = 25
[Command]
name = "bhcb_p"
command = ~B, F, $D, B, x
time = 25
[Command]
name = "bhcb_p"
command = ~B, F, $D, B, y
time = 25

[Command]
name = "2hcb_kk"
command = ~F, D, B, F, D, B, a+b
time = 30

[Command]
name = "2hcf_kk"
command = ~B, $D, F,B, $D, F, a+b
time = 30

[Command]
name = "2hcb_k"
command = ~F, $D, B,F, $D, B, b
time = 30
[Command]
name = "2hcb_k"
command = ~F, D, B, F, D, B, b
time = 30
[Command]
name = "2hcb_k"
command = ~F, $D, B,F, $D, B, a
time = 30
[Command]
name = "2hcb_k"
command = ~F, D, B, F, D, B, a
time = 30

[Command]
name = "2hcf_k"
command = ~B, $D, F,B, $D, F, b
time = 30
[Command]
name = "2hcf_k"
command = ~B, D, F, B, D, F, b
time = 30
[Command]
name = "2hcf_k"
command = ~B, $D, F,B, $D, F, a
time = 30
[Command]
name = "2hcf_k"
command = ~B, D, F, B, D, F, a
time = 30

[Command]
name = "2hcb_pp"
command = ~F, D, B, F, D, B, x+y
time = 30

[Command]
name = "2hcf_pp"
command = ~B, $D, F,B, $D, F, x+y
time = 30

[Command]
name = "2hcb_p"
command = ~F, $D, B,F, $D, B, y
time = 30
[Command]
name = "2hcb_p"
command = ~F, D, B, F, D, B, y
time = 30
[Command]
name = "2hcb_p"
command = ~F, $D, B,F, $D, B, x
time = 30
[Command]
name = "2hcb_p"
command = ~F, D, B, F, D, B, x
time = 30

[Command]
name = "2hcf_p"
command = ~B, $D, F,B, $D, F, y
time = 30
[Command]
name = "2hcf_p"
command = ~B, D, F, B, D, F, y
time = 30
[Command]
name = "2hcf_p"
command = ~B, $D, F,B, $D, F, x
time = 30
[Command]
name = "2hcf_p"
command = ~B, D, F, B, D, F, x
time = 30

[Command]
name = "2qcf_xy"
command = ~D, DF, F, D, DF, F, ~x+y
time = 25
[Command]
name = "2qcf_xy"
command = ~D, DF, F, D, DF, F, x+y
time = 25
[Command]
name = "2qcb_xy"
command = ~D, DB, B, D, DB, B, ~x+y
time = 25
[Command]
name = "2qcb_xy"
command = ~D, DB, B, D, DB, B, x+y
time = 25

[Command]
name = "2qcf_z"
command = ~D, DF, F, D, DF, F, ~z
time = 25
[Command]
name = "2qcf_z"
command = ~D, DF, F, D, DF, F, z
time = 25
[Command]
name = "2qcb_z"
command = ~D, DB, B, D, DB, B, z
time = 25
[Command]
name = "2qcb_z"
command = ~D, DB, B, D, DB, B, ~z
time = 25

[Command]
name = "2qcf_p"
command = ~D, DF, F, D, DF, F, x
time = 30

[Command]
name = "2qcf_p"
command = ~D, DF, F, D, DF, F, y
time = 30

[Command]
name = "2qcb_p"
command = ~D, DB, B, D, DB, B, x
time = 30

[Command]
name = "2qcb_p"
command = ~D, DB, B, D, DB, B, y
time = 30

[Command]
name = "2qcf_k"
command = ~D, DF, F, D, DF, F, a
time = 30

[Command]
name = "2qcf_k"
command = ~D, DF, F, D, DF, F, b
time = 30

[Command]
name = "2qcb_k"
command = ~D, DB, B, D, DB, B, a
time = 30

[Command]
name = "2qcb_k"
command = ~D, DB, B, D, DB, B, b
time = 30

[Command]
name = "qcfhcb_p"
command = ~D, DF, F, $D, B, y
time = 30

[Command]
name = "qcbhcf_p"
command = ~D, DB, B, $D, F, y
time = 30

[Command]
name = "qcfhcb_p"
command = ~D, DF, F, $D, B, x
time = 30

[Command]
name = "qcbhcf_p"
command = ~D, DB, B, $D, F, x
time = 30

[Command]
name = "qcfhcb_xy"
command = ~D, DF, F, $D, B, x+y
time = 30

[Command]
name = "qcbhcf_xy"
command = ~D, DB, B, $D, F, x+y
time = 30


[Command]
name = "qcfhcb_xy"
command = ~D, DF, F, $D, B, z
time = 30

;-| Special Motions |------------------------------------------------------
[Command]
name = "cdbf_k"
command = ~30$DB, $F, a
time = 15
[Command]
name = "cdbf_k"
command = ~30$DB, $F, b
time = 15
[Command]
name = "cdfb_k"
command = ~30$DF, $B, a
time = 15
[Command]
name = "cdfb_k"
command = ~30$DF, $B, b
time = 15

[Command]
name = "fbf_a"
command = ~F, B, F, a
time = 30
[Command]
name = "fbf_b"
command = ~F, B, F, b
time = 30

[Command]
name = "bfb_a"
command = ~F, B, F, a
time = 30
[Command]
name = "bfb_b"
command = ~F, B, F, b
time = 30

[Command]
name = "dp_y"
command = ~F, D, DF, y
time = 15

[Command]
name = "dp_x"
command = ~F, D, DF, x
time = 15

[Command]
name = "rdp_y"
command = ~B, D, DB, y
time = 15

[Command]
name = "rdp_x"
command = ~B, D, DB, x
time = 15

[Command]
name = "dp_b"
command = ~F, D, DF, b
time = 15

[Command]
name = "dp_a"
command = ~F, D, DF, a
time = 15

[Command]
name = "rdp_b"
command = ~B, D, DB, b
time = 15

[Command]
name = "rdp_a"
command = ~B, D, DB, a
time = 15

[Command]
name = "hcbf_b"
command = ~F, $D, B, F, b
time = 30

[Command]
name = "hcbf_a"
command = ~F, $D, B, F, a
time = 30

[Command]
name = "hcfb_b"
command = ~B, $D, F, B, b
time = 30

[Command]
name = "hcfb_a"
command = ~B, $D, F, B, a
time = 30

[Command]
name = "hcbf_y"
command = ~F, $D, B, F, y
time = 30

[Command]
name = "hcbf_x"
command = ~F, $D, B, F, x
time = 30

[Command]
name = "hcfb_y"
command = ~B, $D, F, B, y
time = 30

[Command]
name = "hcfb_x"
command = ~B, $D, F, B, x
time = 30

[Command]
name = "hcb_a"
command = ~F, $D, B, a
time = 20

[Command]
name = "hcb_b"
command = ~F, $D, B, b
time = 20

[Command]
name = "hcf_a"
command = ~B, $D, F, a
time = 20

[Command]
name = "hcf_b"
command = ~B, $D, F, b
time = 20

[Command]
name = "hcb_x"
command = ~F, $D, B, x
time = 20

[Command]
name = "hcb_y"
command = ~F, $D, B, y
time = 20

[Command]
name = "hcf_x"
command = ~B, $D, F, x
time = 20

[Command]
name = "hcf_y"
command = ~B, $D, F, y
time = 20

[Command]
name = "qcb_x"
command = ~D, DB, B, x
time = 15

[Command]
name = "qcb_y"
command = ~D, DB, B, y
time = 15

[Command]
name = "qcf_x"
command = ~D, DF, F, x
time = 15

[Command]
name = "qcf_y"
command = ~D, DF, F, y
time = 15

[Command]
name = "qcb_a"
command = ~D, DB, B, a
time = 15

[Command]
name = "qcb_b"
command = ~D, DB, B, b
time = 15

[Command]
name = "qcf_a"
command = ~D, DF, F, a
time = 15

[Command]
name = "qcf_b"
command = ~D, DF, F, b
time = 15

[Command]
name = "fbf_a"
command = ~F, B, F, a
time = 30
[Command]
name = "fbf_b"
command = ~F, B, F, b
time = 30
[Command]
name = "fbf_x"
command = ~F, B, F, x
time = 30
[Command]
name = "fbf_y"
command = ~F, B, F, y
time = 30

[Command]
name = "bfb_a"
command = ~F, B, F, a
time = 30
[Command]
name = "bfb_b"
command = ~F, B, F, b
time = 30
[Command]
name = "bfb_x"
command = ~F, B, F, x
time = 30
[Command]
name = "bfb_y"
command = ~F, B, F, y
time = 30

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = ~F, F
time = 5

[Command]
name = "BB"     ;Required (do not remove)
command = ~B, B
time = 5

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "recovery";Required (do not remove)
command = x+a
time = 1

[Command]
name = "Cancel"
command = a+b
time = 15
[Command]
name = "Cancel"
command = a+x
time = 15
[Command]
name = "Cancel"
command = a+y
time = 15
[Command]
name = "Cancel"
command = x+b
time = 15
[Command]
name = "Cancel"
command = x+y
time = 15
[Command]
name = "Cancel"
command = a+b+x+y
time = 15

[Command]
name = "broll"
command = /$B,a+x
time = 1

[Command]
name = "broll"
command = /$B,c
time = 1

[Command]
name = "roll"
command = /$F,a+x
time = 1

[Command]
name = "roll"
command = /$F,c
time = 1

[Command]
name = "roll"
command = a+x
time = 1

[Command]
name = "roll"
command = c
time = 1

[Command]
name = "knockdown"
command = b+y
time = 1
;-| Dir + Button |---------------------------------------------------------
[Command]
name = "hijump"
command = ~$D, $U
time = 20

[Command]
name = "ChargedDU"
command = ~13$D, $U

[Command]
name = "sjump"
command = ~$U
time = 20

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_start"
command = /s
time = 1

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

[State -3, MAX CANCEL PALFX]
type = VarAdd
trigger1 = var(50)
var(50) = -1
ignorehitpause = 1
[State -3, MAX CANCELS]
type = VarSet
trigger1 = 1
var(53) = 0
[State -3, MAX CANCELS]
type = VarSet
triggerall = var(51) ;MAX On
trigger1 = stateno = [200,599] ;Non aerial basic moves
trigger2 = stateno = [600,749] ;Aerial basic moves
trigger2 = movecontact
trigger3 = stateno = [800,899] ;Command moves
trigger3 = movecontact = 1
trigger4 = stateno = 980 ;CD Attack
trigger5 = stateno = 990 ;Air CD Attack
trigger5 = movecontact
;MAX out of moves:
trigger6 = stateno = 250
trigger6 = movecontact = 1
trigger7 = stateno = 1010 || stateno = 1014
trigger7 = movecontact = 1
trigger8 = stateno = 1012 || stateno = 1015
trigger8 = movecontact = 1
trigger9 = stateno = 1040 || stateno = 1042 
trigger9 = movecontact = 1
trigger10 = stateno = 1043
trigger10 = movecontact = 1
var(53) = 1
ignorehitpause = 1

;===========================================================================
;---------------------------------------------------------------------------

;===========================================================================


;===========================================================================
;Run Back
;ރ_bV

;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = ifelse(P2Dist x < 0,105,100)
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = ifelse(P2Dist x < 0,100,105)
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------


;===========================================================================

;---------------------------



;---------------------------------------------------------------------------
[State -1, Jump E]
type = ChangeState
value = 990
triggerall = Roundstate = 2
triggerall = command = "z" || command = "knockdown"
triggerall = statetype = A 
trigger1= ctrl
trigger2 = stateno = 1350 ;Air blocking

[State -1, Supah Dive Kick]
type = ChangeState
value = 3020
;triggerall = life <= 300
triggerall = (power >= 3000 ||var(51) && power >= 1000)
triggerall = Roundstate = 2
triggerall = ifelse((p2bodydist x > 0),command="2qcb_k",command="2qcf_k")  
triggerall = statetype = A 
trigger1= ctrl
trigger2 = Stateno = 610 && movecontact
trigger3 = Stateno = 630 && movecontact
trigger4 = Stateno = 851 && movecontact

[State -1, Ryoko Ranbu]
type = ChangeState
value = 3030
triggerall = power >= 2000;(power >= 2000 || var(51))
triggerall = Roundstate = 2
triggerall = command = "qcfhcb_xy"; ifelse((Anim!=[5,6]),command="qcfhcb_xy",command="ldm") 
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger14 = Stateno = 1015 && movecontact 
trigger14 = power >= 4000 || var(51) 
trigger15 = Stateno = 1115 && movecontact 
trigger15 = power >= 4000 || var(51)
trigger16 = stateno = 3015

;E
[State -1, E]
type = ChangeState
value = 980
triggerall = Roundstate = 2
triggerall = command = "z" || command = "knockdown"
triggerall = command != "holddown"
triggerall = statetype = S 
trigger1= ctrl
trigger2 = Stateno=[100,102]

[State -1, Ryoko Ranbu]
type = ChangeState
value = 3010
triggerall = (power >= 1000 || var(51))
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="qcfhcb_p",command="qcbhcf_p") 
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger14 = Stateno = 1015 && movecontact 
trigger14 = power >= 2000 || var(51) 
trigger15 = Stateno = 1115 && movecontact 
trigger15 = power >= 2000 || var(51)

[State -1, Haoh Sho kouken]
type = ChangeState
value = 3000
triggerall = (power >= 1000 || var(51))
triggerall = NumHelper(1000) = 0
triggerall = NumHelper(3000) = 0 
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="fhcf_p",command="bhcb_p") 
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger14 = Stateno = 1015 && movecontact 
trigger14 = power >= 2000 || var(51) 
trigger15 = Stateno = 1115 && movecontact 
trigger15 = power >= 2000 || var(51)

[State -1, Kyaku]
type = ChangeState
value = 1050
triggerall = Roundstate = 2
triggerall = (ifelse((Anim!=[5,6]),command="hcf_a",command="hcb_a")) || (ifelse((Anim!=[5,6]),command="hcf_b",command="hcb_b"))
triggerall = statetype != A 
triggerall = (P2StateType = S || P2StateType = C)
triggerall = P2BodyDist X <= 32
triggerall = var(19) = 0
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1, Kick]
type = ChangeState
value = 1041
triggerall = Roundstate = 2
triggerall = ifelse((p2bodydist x > 0),command="qcb_b",command="qcf_b") 
triggerall = statetype = A 
trigger1= ctrl
trigger2 = Stateno = 610 && movecontact
trigger3 = Stateno = 630 && movecontact
trigger4 = Stateno = 851 && movecontact

[State -1, Kick]
type = ChangeState
value = 1040
triggerall = Roundstate = 2
triggerall = ifelse((p2bodydist x > 0),command="qcb_a",command="qcf_a") 
triggerall = statetype = A 
trigger1= ctrl
trigger2 = Stateno = 610 && movecontact
trigger3 = Stateno = 630 && movecontact
trigger4 = Stateno = 851 && movecontact

[State -1,  Genei Kyaku]
type = ChangeState
value = 1030
triggerall = Roundstate = 2
triggerall = (ifelse((Anim!=[5,6]),command="fbf_a",command="bfb_a")) || (ifelse((Anim!=[5,6]),command="fbf_b",command="bfb_b"))
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Hien Shippu Kyaku]
type = ChangeState
value = 1221
triggerall = var(1) >= 1
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="qcb_b",command="qcf_b")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Hien Shippu Kyaku]
type = ChangeState
value = 1120
triggerall = var(1) = 0
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="qcb_b",command="qcf_b")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Hien Shippu Kyaku]
type = ChangeState
value = 1220
triggerall = var(1) >= 1
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="qcb_a",command="qcf_a")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Hien Shippu Kyaku]
type = ChangeState
value = 1020
triggerall = var(1) = 0
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="qcb_a",command="qcf_a")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Ryuuga]
type = ChangeState
value = 1115
triggerall = var(1) = 1
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="dp_y",command="rdp_y")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Ryuu Zanshou]
type = ChangeState
value = 1015
triggerall = var(1) = 0
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="dp_b",command="rdp_b")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Ryuuga]
type = ChangeState
value = 1110
triggerall = var(1) = 1
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="dp_x",command="rdp_x")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Ryuu Zanshou]
type = ChangeState
value = 1010
triggerall = var(1) = 0
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="dp_a",command="rdp_a")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Ryuugeki ken]
type = ChangeState
value = 1001+(var(1)*100)
triggerall = NumHelper(1000) 
triggerall = (Helper(1000),var(2)=1) || (Helper(1000),anim = 1005)
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="qcf_y",command="qcb_y")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Ryuugeki ken]
type = ChangeState
value = 1001+(var(1)*100)
triggerall = NumHelper(1000) = 0 
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="qcf_y",command="qcb_y")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Ryuugeki ken]
type = ChangeState
value = 1000+(var(1)*100)
triggerall = NumHelper(1000) 
triggerall = (Helper(1000),var(2)=1) || (Helper(1000),anim = 1005)
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="qcf_x",command="qcb_x")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1,  Ryuugeki ken]
type = ChangeState
value = 1000+(var(1)*100)
triggerall = NumHelper(1000) = 0 
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command="qcf_x",command="qcb_x")
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 
trigger7 = Stateno = 400 && animelemtime(2) > 0 
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 
trigger11 = Stateno = 831 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger12 = Stateno = 860 && animelemtime(6) > 0 && animelemtime(8) < 0 && movecontact 
trigger13 = Stateno = 980 && animelemtime(4) > 0 && animelemtime(6) < 0 

[State -1, Throw]
type = ChangeState
value = 800
triggerall = Roundstate = 2
triggerall = command != "holddown"
triggerall = (command = "y" && (command = "holdfwd" || command = "holdback")) || (command = "b" && (command = "holdfwd" || command = "holdback"))
triggerall = statetype != A 
trigger1= ctrl
triggerall = var(19) = 0 ; Opponent isn't in guarding state
triggerall = p2stateno != 40 && p2stateno !=52 ; Cannot grab during jump start / jump land
triggerall = p2stateno != 5120 
trigger1 = p2bodydist X < 7
trigger1 = p2movetype != H

[State -1, Back Roll]
type = ChangeState
value = 711
triggerall = Roundstate = 2
triggerall = command = "broll"
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,101]
trigger3 = Stateno=150 && power >=1000
trigger4 = Stateno=151 && power >=1000

[State -1, Roll]
type = ChangeState
value = 710
triggerall = Roundstate = 2
triggerall = command = "roll"
triggerall = command != "holdback"
triggerall = statetype != A 
trigger1= ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno=150 && power >=1000
trigger4 = Stateno=151 && power >=1000


[State -1, Jump d]
type = ChangeState
value = 630
triggerall = Roundstate = 2
triggerall = command = "b" 
triggerall = statetype = A 
trigger1= ctrl
trigger2 = stateno = 1350 ;Air blocking

[State -1, Jump b]
type = ChangeState
value = 620
triggerall = Roundstate = 2
triggerall = command = "a" 
triggerall = statetype = A 
trigger1= ctrl
trigger2 = stateno = 1350 ;Air blocking

[State -1, Jump c]
type = ChangeState
value = 610
triggerall = Roundstate = 2
triggerall = command = "y" 
triggerall = statetype = A 
trigger1= ctrl
trigger2 = stateno = 1350 ;Air blocking

[State -1, Jump a]
type = ChangeState
value = 600
triggerall = Roundstate = 2
triggerall = command = "x" 
triggerall = statetype = A 
trigger1= ctrl
trigger2 = stateno = 1350 ;Air blocking

[State -1,  Ryuu Hanshuu]
type = ChangeState
value = 860
triggerall = Roundstate = 2
triggerall = (command = "holdfwd" || command = "holdback") && command = "a"
triggerall = command != "holddown"
triggerall = statetype != A 
trigger1 = statetype = S && ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 && movecontact
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 && movecontact
trigger7 = Stateno = 400 && animelemtime(2) > 0 && movecontact
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 && movecontact
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact


[State -1,  Kouryuu Koukyaku Geri]
type = ChangeState
value = ifelse((stateno = [200,499]),851,850)
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command = "holdfwd" && command = "x",command = "holdback" && command = "x")
triggerall = command != "holddown"
triggerall = statetype != A 
trigger1 = statetype = S && ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 && movecontact
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 && movecontact
trigger7 = Stateno = 400 && animelemtime(2) > 0 && movecontact
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 && movecontact
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact

[State -1,  Uraken]
type = ChangeState
value = 830
triggerall = Roundstate = 2
triggerall = ifelse((Anim!=[5,6]),command = "holdback" && command = "x",command = "holdfwd" && command = "x")
triggerall = command != "holddown"
triggerall = statetype != A 
trigger1 = statetype = S && ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact
trigger4 = Stateno = 210 && animelemtime(4) > 0 && animelemtime(6) < 0 && movecontact
trigger5 = Stateno = 220 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact
trigger6 = Stateno = 230 && animelemtime(3) > 0 && animelemtime(4) < 0 && movecontact
trigger7 = Stateno = 400 && animelemtime(2) > 0 && movecontact
trigger8 = Stateno = 410 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact
trigger9 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0 && movecontact
trigger10 = Stateno = 430 && animelemtime(3) > 0 && animelemtime(5) < 0 && movecontact

;Crouch D
[State -1, Crouch D]
type = ChangeState
value = 430
triggerall = Roundstate = 2
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = Stateno=[100,102]

;Crouch B
[State -1, Crouch C]
type = ChangeState
value = 420
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 420 && animelemtime(2) > 0 && animelemtime(4) < 0

;Crouch C
[State -1, Crouch C]
type = ChangeState
value = 410
triggerall = Roundstate = 2
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = Stateno=[100,102]

;Crouch A
[State -1, Crouch A]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 6

[State -1, guard Cancel]
Type = ChangeState
triggerall = Roundstate = 2
TriggerAll = Command = "z" || command = "knockdown"
trigger1 = ((StateNo = 150) || (StateNo = 152)) && (Power >= 1000)
trigger1 = statetype != A
Value = 985
IgnoreHitPause = 1

;Far D
[State -1, Far D]
type = ChangeState
value = 235
triggerall = Roundstate = 2
triggerall = P2bodydist X >= 16
triggerall = command = "b" 
triggerall = command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = Stateno=[100,102]

;Close D
[State -1, Close D]
type = ChangeState
value = 230
triggerall = Roundstate = 2
triggerall = P2bodydist X <= 15
triggerall = command = "b" 
triggerall = command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = Stateno=[100,102]

;Far B
[State -1, Far B]
type = ChangeState
value = 225
triggerall = Roundstate = 2
triggerall = P2bodydist X > 15
triggerall = command = "a"
triggerall = command != "holddown"
trigger1= statetype = S && ctrl
trigger2 = Stateno=[100,102]

;Close B
[State -1, Close C]
type = ChangeState
value = 220
triggerall = Roundstate = 2
triggerall = P2bodydist X <= 15
triggerall = command = "a"
triggerall = command != "holddown"
trigger1= statetype = S && ctrl
trigger2 = Stateno=[100,102]

;Far C
[State -1, Far C]
type = ChangeState
value = 215
triggerall = P2bodydist X >= 35
triggerall = Roundstate = 2
triggerall = command = "y"
triggerall = command != "holddown"
trigger1= statetype = S && ctrl
trigger2 = Stateno=[100,102]

;Close C
[State -1, Close C]
type = ChangeState
value = 210
triggerall = Roundstate = 2
triggerall = P2bodydist X <= 34
triggerall = command = "y"
triggerall = command != "holddown"
trigger1= statetype = S && ctrl
trigger2 = Stateno=[100,102]

;Close A
[State -1, Close A]
type = ChangeState
value = 205
triggerall = Roundstate = 2
triggerall = P2bodydist X > 14
triggerall = command = "x"
triggerall = command != "holddown"
trigger1= statetype = S && ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0
trigger4 = Stateno = 205 && animelemtime(2) > 0 && animelemtime(4) < 0

;Close A
[State -1, Close A]
type = ChangeState
value = 200
triggerall = Roundstate = 2
triggerall = P2bodydist X <= 14
triggerall = command = "x"
triggerall = command != "holddown"
trigger1= statetype = S && ctrl
trigger2 = Stateno=[100,102]
trigger3 = Stateno = 200 && animelemtime(3) > 0 && animelemtime(5) < 0
trigger4 = Stateno = 205 && animelemtime(2) > 0 && animelemtime(4) < 0

[State -1, Taunt]
type = changestate
value = 195
triggerall = command = "start"
triggerall = stateno != 195
triggerall = statetype != A 
triggerall = command != "holddown"
trigger1= ctrl
trigger2 = Stateno=[100,102]

;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
